# DataExchange
TKXSBase
IFSelect

# IFSelect_SignType Class Reference

This Signature returns the cdl Type of an entity, under two
forms :
- complete dynamic type (package and class)
- class type, without package name
.

`#include <IFSelect_SignType.hxx>`

Inheritance diagram for IFSelect_SignType:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SignType (const Standard_Boolean nopk=Standard_False)
| Returns a SignType <nopk> false (D) : complete dynamic type (name = Dynamic Type) <nopk> true : class type without pk (name = Class Type) .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the Signature for a Transient object, as its Dynamic Type, with or without package name, according starting option .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thenopk

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SignType::IFSelect_SignType | ( | const Standard_Boolean | nopk = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SignType::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature. Reimplemented in IFSelect_SignAncestor.

Standard_EXPORT Standard_CString IFSelect_SignType::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

## Field Documentation

Standard_Boolean IFSelect_SignType::thenopk `[private]`

The documentation for this class was generated from the following file:

- IFSelect_SignType.hxx